NAME
OpenAPI::Client::OpenAI::Path::organization-projects - Documentation for the /organization/projects path.
OPERATIONS
GET /organization/projects
list-projects
$client->list_projects({
body => { ... },
});
Returns a list of projects.
Path/query parameters
limit(in query, optional, integer) - A limit on the number of objects to be returned. Limit can range between 1 and 100, and the default is 20.Default: 20
after(in query, optional, string) - A cursor for use in pagination.afteris an object ID that defines your place in the list. For instance, if you make a list request and receive 100 objects, ending with obj_foo, your subsequent call can include after=obj_foo in order to fetch the next page of the list.include_archived(in query, optional, boolean) - Iftruereturns all projects including those that have beenarchived. Archived projects are not included by default.Default:
Responses
200 - Projects listed successfully.
Content-Type: application/json
Example:
{
"data" : [
"{\n \"id\": \"proj_abc\",\n \"object\": \"organization.project\",\n \"name\": \"Project example\",\n \"created_at\": 1711471533,\n \"archived_at\": null,\n \"status\": \"active\",\n \"external_key_id\": null\n}\n"
],
"first_id" : "string",
"has_more" : false,
"last_id" : "string",
"object" : "list"
}
POST /organization/projects
create-project
$client->create_project({
body => { ... },
});
Create a new project in the organization. Projects can be created and archived, but cannot be deleted.
Responses
200 - Project created successfully.
Content-Type: application/json
Example:
{
"archived_at" : null,
"created_at" : 1711471533,
"external_key_id" : null,
"id" : "proj_abc",
"name" : "Project example",
"object" : "organization.project",
"status" : "active"
}
SCHEMAS
Project
Properties:
archived_at(anyOf)created_at(integer, required) - The Unix timestamp (in seconds) of when the project was created.external_key_id(anyOf) - The external key associated with the project.id(string, required) - The identifier, which can be referenced in API endpointsname(anyOf) - The name of the project. This appears in reporting.object(string, required) - The object type, which is alwaysorganization.projectAllowed values: organization.project
status(anyOf) -activeorarchived
ProjectCreateRequest
Properties:
external_key_id(anyOf) - External key ID to associate with the project.geography(anyOf) - Create the project with the specified data residency region. Your organization must have access to Data residency functionality in order to use. See data residency controls to review the functionality and limitations of setting this field.name(string, required) - The friendly name of the project, this name appears in reports.
ProjectListResponse
Properties:
data(array of Project, required)first_id(anyOf)has_more(boolean, required)last_id(anyOf)object(string, required)Allowed values: list
SEE ALSO
COPYRIGHT AND LICENSE
Copyright (C) 2023-2026 by Nelson Ferraz
This library is free software; you can redistribute it and/or modify it under the same terms as Perl itself, either Perl version 5.14.0 or, at your option, any later version of Perl 5 you may have available.